### Function

# Dex tls_database_lookup_certificate_for_handle

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_tls_database_lookup_certificate_for_handle (
      GTlsDatabase* database,
      const char* handle,
      GTlsInteraction* interaction,
      GTlsDatabaseLookupFlags flags
    )

#### Description [src]

Wraps `g_tls_database_lookup_certificate_for_handle_async()`.

Available since: 1.2

#### Parameters

`database`

  Type: `GTlsDatabase`

  A `GTlsDatabase`.

  The data is owned by the caller of the function.

`handle`

  Type: `const char*`

  Certificate handle.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`interaction`

  Type: `GTlsInteraction`

  A `GTlsInteraction`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`flags`

  Type: `GTlsDatabaseLookupFlags`

  Lookup flags.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GTlsCertificate` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.